Subject: [IPFIX] FW: NAT IPFIX logging draft

From: "Senthil Sivakumar (ssenthil)" <[email-masked]>
Date: Wed, 28 May 2014 14:11:49 +0000

During review of this draft http://tools.ietf.org/html/draft-ietf-behave-ipfix-nat-logging-03, the following question was raised by Spencer
SD: I noticed that some IEs below have a name that matches http://www.iana.org/assignments/ipfix/ipfix.xhtml#ipfix-information-elements for the same IPFIX ID number, but others do not ("timeStamp" here doesn't match "observationTimeMilliseconds", but both are IPFIX ID 323, aren't they?) Is there a reason to use names that don't match the IANA registry?

[Senthil] Good question, in case of timeStamp, I was looking for something that already existed in the IPFIX registry rather than asking for a new one. However, the terminology of "observationTimeMilliseconds" is not the terminology that we use in the NAT drafts/rfc's. So I am open to suggestions here. I can clarify in the description that is called observationTimeMilliSeconds". The other field is internalAddressRealm and externalAddresRealm, this is the terminology that we used in NAT MIB, syslog and other documents. However, when we defined the IPFIX IE, we didn’t stick to the same terminology, so I don’t know if I can go and ask the IPFIX IANA to change the name. Again I am open to suggestions, the dillema is whether I should stick to the existing IPFIX IANA terminology or the behave documents terminology.
I was asked to take this discussion here on how best to resolve this, any suggestions are greatly appreciated!

Thanks
Senthil